/**
 * Module dependencies
 */

const co = require('co')
const keys = Object.keys

/**
 * Export `Exp`
 */

module.exports = Exp

/**
 * Initialize `Exp`
 */

function Exp (obj) {
  return keys(obj).reduce((exp, key) => {
    exp[key] = co.wrap(obj[key])
    return exp
  }, {})
}
